;
; Routine to show the energy spectrum found from Smagorinsky 
;
; Set some default values
;
t1=0
t2=1e6
nu=0
;
; Read in run specific values
;
@param
;
; Read in energy spectrum
;
power,v1='u',spec1=spec1,k=k,i=i,tt=tt,/noplot
kmax=max(k)
;
; Find average energy spectrum 
;
good=where((tt gt t1) and (tt lt t2))
speu=spec1(*,i-2)
for kk=1,kmax do begin
    speu(kk)=mean(spec1(kk,good))
end
;
; Plot results
;
plot_oo,k,speu,xr=[1,kmax]
oplot,k,k^(-1.67)*speu(2)*2^(1.67),li=2
;
; Save results
;
save,file='spectr.sav',k,speu
;
END
