;
; This program compares the spectra of different 64 Smagorinsky runs
; with different D_smag in order to see which D_smag should be used.
;
; To make this work you must first run  prepare_nohel_smag.sh
; in all the directories of interest.
;
; Set some auxillary variables
;
rootdir='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/'
savfile='spec_aver.sav'
;
; Read in data from different runs
;
dir='smagorinsky128a/'
file=rootdir+dir+savfile
restore,file=file
speua=speu*3. & speba=speb*3. & k128=k
;
dir='smagorinsky128b/'
file=rootdir+dir+savfile
restore,file=file
speub=speu*2. & spebb=speb*2.
;
; Read in some bencmarking runs with real viscosity
;
rootdir='$PENCIL_HOME/nils/forced/'
;
dir='nohel2_128b/'
file=rootdir+dir+savfile
restore,file=file
speu128=speu & speb128=speb & k128=k
;
rootdir='$PENCIL_HOME/nils/isoforce/'
;
dir='nohel5_512a/'
file=rootdir+dir+savfile
restore,file=file
speu512=speu & speb512=speb & k512=k
;
; Plot energy spectra for all runs
;
!p.multi=[0,1,2]
window,xsize=640,ysize=800
;
plot_oo,k128,speua,xr=[1,64],title='Kinetic',yr=[1e-6,5e-3]
oplot,k128,speub,col=122
oplot,k512,speu512,col=255,li=3
;
xx=9 & dx=3
yy=-2.9 & dy =-0.2
legend,xx,dx,10^(yy+dy*0),0,'D_smag=0.2 (times 3)',col=255
legend,xx,dx,10^(yy+dy*1),0,'D_smag=0.3 (times 2)',col=122
legend,xx,dx,10^(yy+dy*2),3,'512^3',col=255
;
plot_oo,k128,speba,xr=[1,64],title='Magnetic',yr=[1e-6,3e-4]
oplot,k128,spebb,col=122
oplot,k512,speb512,col=255,li=3

!p.multi=[0,1,1]
END
