;
; This program compares the spectra of different 64 Smagorinsky runs
; with different D_smag in order to see which D_smag should be used.
;
; To make this work you must first run  prepare_nohel_smag.sh
; in all the directories of interest.
;
; Set some auxillary variables
;
rootdir='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/'
savfile='spec_aver.sav'
;
; Read in data from different runs
;
dir='smagorinsky64b/'
file=rootdir+dir+savfile
restore,file=file
speub=speu & spebb=speb & k64=k
;
dir='smagorinsky64c/'
file=rootdir+dir+savfile
restore,file=file
speuc=speu & spebc=speb
;
dir='smagorinsky64d/'
file=rootdir+dir+savfile
restore,file=file
speud=speu & spebd=speb
;
dir='smagorinsky64e/'
file=rootdir+dir+savfile
restore,file=file
speue=speu & spebe=speb
;
dir='smagorinsky64f/'
file=rootdir+dir+savfile
restore,file=file
speuf=speu & spebf=speb
;
dir='smagorinsky64h/'
file=rootdir+dir+savfile
restore,file=file
speuh=speu & spebh=speb
;
; Read in some bencmarking runs with real viscosity
;
rootdir='$PENCIL_HOME/nils/forced/'
;
dir='nohel2_64d/'
file=rootdir+dir+savfile
restore,file=file
speu64=speu & speb64=speb
;
dir='nohel2_128b/'
file=rootdir+dir+savfile
restore,file=file
speu128=speu & speb128=speb & k128=k
;
rootdir='$PENCIL_HOME/nils/isoforce/'
;
dir='nohel5_512a/'
file=rootdir+dir+savfile
restore,file=file
speu512=speu & speb512=speb & k512=k
;
; Plot energy spectra for all runs
;
!p.multi=[0,1,2]
window,xsize=640,ysize=800
;
plot_oo,k64,speub,xr=[1,32],title='Kinetic',yr=[5e-6,2e-3]
oplot,k64,speuc,col=122
oplot,k64,speud,col=47
oplot,k64,speue,col=150
oplot,k64,speuf,col=100
oplot,k64,speuh,col=200
oplot,k64,speu64,col=255,li=4
oplot,k128,speu128,col=255,li=2
oplot,k512,speu512,col=255,li=3
;
xx=9 & dx=3
yy=-2.9 & dy =-0.2
legend,xx,dx,10^(yy+dy*0),0,'D_smag=0.1',col=255
legend,xx,dx,10^(yy+dy*1),0,'D_smag=0.15',col=150
legend,xx,dx,10^(yy+dy*2),0,'D_smag=0.2',col=47
legend,xx,dx,10^(yy+dy*3),0,'D_smag=0.25',col=100
legend,xx,dx,10^(yy+dy*4),0,'D_smag=0.3',col=122
legend,xx,dx,10^(yy+dy*5),0,'D_smag=0.5',col=200
legend,xx,dx,10^(yy+dy*6),4,'64^3',col=255
legend,xx,dx,10^(yy+dy*7),2,'128^3',col=255
legend,xx,dx,10^(yy+dy*8),3,'512^3',col=255
;
plot_oo,k64,spebb,xr=[1,32],title='Magnetic',yr=[1e-6,2e-4]
oplot,k64,spebc,col=122
oplot,k64,spebd,col=47
oplot,k64,spebe,col=150
oplot,k64,spebf,col=100
oplot,k64,spebh,col=200
oplot,k64,speb64,col=255,li=4
oplot,k128,speb128,col=255,li=2
oplot,k512,speb512,col=255,li=3

!p.multi=[0,1,1]
END
