;  $Id: k_time_evol.pro,v 1.1 2002/12/17 12:39:12 nilshau Exp $
;
;  This routine plots the time evolution of the spectral power
;  at a few selected values of k. Allows to assess convergence.
;
;  29-11-02/nils: coded
;
power,'u','b',1,k=k,spec1=spec1,spec2=spec2,i=i,tt=t
erase
pmulti = !p.multi
!p.multi=[0,2,2]
!y.range=[3e-7,5e-4]


;First row
k1=4
evolu1=spec1(k1,*)
evolb1=spec2(k1,*)

k15=10
evolu15=spec1(k15,*)
evolb15=spec2(k15,*)

k2=20
evolu2=spec1(k2,*)
evolb2=spec2(k2,*)


;Second row
k3=40
evolu3=spec1(k3,*)
evolb3=spec2(k3,*)

k35=60
evolu35=spec1(k35,*)
evolb35=spec2(k35,*)

k4=80
evolu4=spec1(k4,*)
evolb4=spec2(k4,*)


;Plotting
xx=3316.5
dx=3
!X.TICKS=2
!y.range=[1e-5,5e-4]
plot_io,t,evolu1,title='Kin.'
oplot,t,evolu2,col=122
oplot,t,evolu15,col=150
legend,xx,dx,10^(-4.),0,'k='+string(k1),siz=1.6
legend,xx,dx,10^(-4.1),0,'k='+string(k15),siz=1.6,col=150
legend,xx,dx,10^(-4.2),0,'k='+string(k2),siz=1.6,col=122

plot_io,t,evolb1,title='Mag.'
oplot,t,evolb2,col=122
oplot,t,evolb15,col=150
legend,xx,dx,10^(-4.7),0,'k='+string(k1),siz=1.6
legend,xx,dx,10^(-4.8),0,'k='+string(k15),siz=1.6,col=150
legend,xx,dx,10^(-4.9),0,'k='+string(k2),siz=1.6,col=122

!y.range=[8e-8,2e-5]
plot_io,t,evolu3,title='Kin.'
oplot,t,evolu4,col=122
oplot,t,evolu35,col=150
legend,xx,dx,10^(-5.),0,'k='+string(k3),siz=1.6
legend,xx,dx,10^(-5.2),0,'k='+string(k4),siz=1.6,col=122
legend,xx,dx,10^(-5.1),0,'k='+string(k35),siz=1.6,col=150

plot_io,t,evolb3,title='Mag.'
oplot,t,evolb4,col=122
oplot,t,evolb35,col=150
legend,xx,dx,10^(-6.),0,'k='+string(k3),siz=1.6
legend,xx,dx,10^(-6.2),0,'k='+string(k4),siz=1.6,col=122
legend,xx,dx,10^(-6.1),0,'k='+string(k35),siz=1.6,col=150


!p.multi=[0,pmulti[1:*]]
!y.range=''
!X.TICKS=''

END
