;
@param
power,'u','b',1,k=k,spec1=spec1,spec2=spec2,i=i,tt=t
xmax=max(k)
ymin=1e-11
ymax=5e-3
speu=fltarr(xmax+1)
speb=fltarr(xmax+1)
!x.title='wavenumber,k'
!y.title='Spectral amplitude,P(k)'
!y.range=[ymin,ymax]
!x.range=[1,xmax]
;
;  Finding average of speu and speb after saturation
;
good=where(t ge t1 and t le t2)
for ii=0,xmax do begin
	speu(ii)=mean(spec1(ii,good))
	speb(ii)=mean(spec2(ii,good))
end
;
;  Plotting magnetic and kinetic spectra
;  for saturated state
;
startk1=4
startk=4
stopk1=20
stopk=25
kin_slope=1.4
total_slope=1.1
;
if (!d.name eq 'PS') then begin
	plot_oo,k,speb,lin=3
	oplot,k,speu,lin=2
	oplot,k,speu+speb,lin=0
	fac=(speu(startk)+speb(startk))/k(startk)^(-5./3)
	oplot,k(startk:stopk),fac*k(startk:stopk)^(-5./3),ps=1
	oplot,k(2:8),k(2:8)^(0)*8e-4,lin=1
	fac=speu(startk)/k(startk)^(-kin_slope)
	oplot,k(startk:stopk),fac*k(startk:stopk)^(-kin_slope),ps=2
	
	xx=2
	dx=1
	legend,xx,dx,10^(-4.5),3,'Magnetic',siz=1.6
	legend,xx,dx,10^(-5.),2,'Kinetic',siz=1.6
	legend,xx,dx,10^(-5.5),0,'Total',siz=1.6
	legend,xx,dx,10^(-6.),1,ps=1,'!6k!u-5/3!n',siz=1.6
	legend,xx,dx,10^(-6.5),1,'!6k!u0!n',siz=1.6
	legend,xx,dx,10^(-7.),1,ps=2,'!6k!u-2.2!n',siz=1.6
endif else begin
	!p.thick=2
	;
	plot_oo,k,speb,background=255,col=10
	oplot,k,speu,col=122
	oplot,k,speu+speb,col=47
	fac=(speu(startk)+speb(startk))/k(startk)^(-5./3)
	oplot,k(startk:stopk),3.*fac*k(startk:stopk)^(-5./3),lin=3,col=10
	oplot,k(2:8),k(2:8)^(0)*8e-4,lin=1,col=10
	fac=speu(startk)/k(startk)^(-kin_slope)
	oplot,k(startk:stopk),fac*k(startk:stopk)^(-kin_slope),lin=2,col=10
	fac=(speu(startk1)+speb(startk1))/k(startk1)^(-total_slope)
	oplot,k(startk1:stopk1),1.5*fac*k(startk1:stopk1)^(-total_slope),lin=4,col=10
	
	xx=2
	dx=1
	legend,xx,dx,10^(-5.),0,'Magnetic',siz=1.6,col=10
	legend,xx,dx,10^(-5.5),0,'Kinetic',siz=1.6,col=122
	legend,xx,dx,10^(-6.),0,'Total',siz=1.6,col=47
	legend,xx,dx,10^(-6.5),3,'!6k!u-5/3!n',siz=1.6,col=10
	legend,xx,dx,10^(-7.),1,'!6k!u0!n',siz=1.6,col=10
	legend,xx,dx,10^(-7.5),2,'!6k!u-1.4!n',siz=1.6,col=10
	legend,xx,dx,10^(-8.0),4,'!6k!u-1.1!n',siz=1.6,col=10
endelse

!x.title=''
!y.title=''
!y.range=''
!x.range=''

save,file='spec_aver.sav',speu,speb,k

;
END
