;  $Id: pow1d.pro,v 1.5 2003/05/04 10:00:42 brandenb Exp $
;  to plot Nils' 1-D spectra.
;  These show these funny spikes at isolated points.

if !d.name eq 'PS' then begin
  device,xsize=14,ysize=10,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
power,'ux_x','bx_x',1,k=k,spec1=uxx,spec2=bxx,i=i,tt=t
power,'uy_x','by_x',1,k=k,spec1=uyx,spec2=byx,i=i,tt=t
power,'uz_x','bz_x',1,k=k,spec1=uzx,spec2=bzx,i=i,tt=t
xmax=max(k)
ux=fltarr(xmax+1)
bx=fltarr(xmax+1)
uy=fltarr(xmax+1)
by=fltarr(xmax+1)
uz=fltarr(xmax+1)
bz=fltarr(xmax+1)
for ii=0,xmax do begin
	ux(ii)=mean(uxx(ii,i-4:i-3))
	bx(ii)=mean(bxx(ii,i-4:i-3))
	uy(ii)=mean(uyx(ii,i-4:i-3))
	by(ii)=mean(byx(ii,i-4:i-3))
	uz(ii)=mean(uzx(ii,i-4:i-3))
	bz(ii)=mean(bzx(ii,i-4:i-3))
end
;save,file='1dspec.sav',ux,uy,uz,bx,by,bz,k
;file='1dspec.sav'
;restore,file
default,s,1.67
default,cal,'T'
default,ddd,'F'
!x.title='!8k!6'
;!y.title='!7e!6!u-2/3!n!8k!6!u5/3!n !8E!d!6T!n(!8k!6)'
!y.title='!n!8k!6!u5/3!n !8E!n(!8k!6)'

file='spec1d_aver.sav'
restore,file

averu=(ux+uy+uz)/3
averb=(bx+by+bz)/3

window,0
if cal eq 'T' then begin
  plot_oo,k,M1*k^s,xr=[1,512],yr=[3e-14*xmax^s,1e-2],title='1-D spectra',lin=1
  oplot,k,E1*k^s,lin=2
  oplot,k,(E1+M1)*k^s
  oplot,k(7:14),k(7:14)^0*8.e-4,lin=4	
  xx=2
  dx=1
  yy=-5.
  dy=-1.
  ;legend,xx,dx,10^(yy+dy*0),1,'!8E!6!dM!n(!8k!6)',siz=1.6
  ;legend,xx,dx,10^(yy+dy*1),2,'!8E!6!dK!n(!8k!6)',siz=1.6
  ;legend,xx,dx,10^(yy+dy*2),0,'!8E!6!dT!n(!8k!6)',siz=1.6
  ;legend,xx,dx,10^(yy+dy*3),4,'!8k!6!u-1.5!n',siz=1.6
  legend,xx,dx,10^(-5.),1,'Magnetic',siz=1.6
  legend,xx,dx,10^(-6.),2,'Kinetic',siz=1.6
  legend,xx,dx,10^(-7.),0,'Total',siz=1.6
end
if cal eq 'F' then begin
  plot_oo,k,averb*k^s,xr=[1,512],yr=[1e-21*xmax^s,2e-9],title='1-D power spectrum',lin=1
  oplot,k,averu*k^s,lin=2
  oplot,k,(averu+averb)*k^s
  xx=2
  dx=1
  legend,xx,dx,10^(-12.),1,'Magnetic',siz=1.6
  legend,xx,dx,10^(-13.),2,'Kinetic',siz=1.6
  legend,xx,dx,10^(-14.),0,'Total',siz=1.6
end


if ddd eq 'T' then begin
window,1
power,'u','b',1,k=k,spec1=specu,spec2=specb,i=i,tt=t

xmax=max(k)
speu=fltarr(xmax+1)
speb=fltarr(xmax+1)
for ii=0,xmax do begin
	speu(ii)=mean(specu(ii,i-4:i-3))
	speb(ii)=mean(specb(ii,i-4:i-3))
end


plot_oo,k,speb*k^s,xr=[1,512],yr=[1e-13*xmax^s,1e-2],title='3-D power spectrum',lin=1
oplot,k,speu*k^s,lin=2
oplot,k,(speb+speu)*k^s
;oplot,k,k^(-1.67+s)*1e-2,lin=2
;oplot,k,k^(-1.67+s)*2e-3,lin=2

xx=2
	dx=1
	legend,xx,dx,10^(-6.),1,'Magnetic',siz=1.6
	legend,xx,dx,10^(-7.),2,'Kinetic',siz=1.6
	legend,xx,dx,10^(-8.),0,'Total',siz=1.6
end
;
!x.title=''
!y.title=''
!y.range=''
!x.range=''
!p.multi=''
;
END
