if !d.name eq 'PS' then begin
  device,xsize=14,ysize=10,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
if !d.name eq 'X' then begin
  window,0,xsize=640*9/10,ysize=480*9/10
end
;
; mv idl.ps ../fig/compare_smagorinsky128.ps
;
siz=1.4
!p.charsize=1.4
;
; This program compares the spectra of different 64 Smagorinsky runs
; with different D_smag in order to see which D_smag should be used.
;
; To make this work you must first run  prepare_nohel_smag.sh
; in all the directories of interest.
;
; Set some auxillary variables
;
rootdir='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/'
savfile='spec_aver.sav'
;
; Read in data from different runs
;
dir='smagorinsky128a/'
file=rootdir+dir+savfile
restore,file=file
;speua=speu*3. & speba=speb*3. & k128=k
speua=speu & speba=speb & k128=k
kina=total(speu)
maga=total(speb)
;
dir='smagorinsky128b/'
file=rootdir+dir+savfile
restore,file=file
;speub=speu*2. & spebb=speb*2.
speub=speu & spebb=speb
kinb=total(speu)
magb=total(speb)
;
dir='smagorinsky128c/'
file=rootdir+dir+savfile
restore,file=file
;speuc=speu*8. & spebc=speb*8.
speuc=speu & spebc=speb
kinc=total(speu)
magc=total(speb)
;
; Read in some bencmarking runs with real viscosity
;
rootdir='$PENCIL_HOME/nils/forced/'
;
;dir='nohel2_128b/'
;file=rootdir+dir+savfile
;restore,file=file
;speu128=speu & speb128=speb & k128=k
;
rootdir='$PENCIL_HOME/runs/forced/'
;
dir='nohel1024a/'
file=rootdir+dir+savfile
restore,file=file
speu1024=speu & speb1024=speb & k1024=k
;
; Plot energy spectra for all runs
;
!p.multi=[0,1,1]
!x.title='!8k/k!6!d1!n'
!y.title='!8E!n(!8k!6)!8k!u!65/3!n'
s=1.67
;
plot_oo,k128,speua*k^s,xr=[1,150],yr=[1e-5,2e-2],background=255,col=1,li=3
oplot,k128,speub*k^s,col=1,li=2
oplot,k128,speuc*k^s,col=1,li=4
oplot,k1024,speu1024*k^s,col=1,li=0
;
oplot,k128,speba*k^s,col=1,li=3
oplot,k128,spebb*k^s,col=1,li=2
oplot,k128,spebc*k^s,col=1,li=4
oplot,k1024,speb1024*k^s,col=1,li=0
;
xx=3.3 & dx=3.4
yy=-4.0 & dy =-0.25
legend,xx,dx,10^(yy+dy*0),0,'Normal 1024!u3!n',col=1,siz=siz
legend,xx,dx,10^(yy+dy*1),4,'Smag 128!u3!n, !8C!6!dM!n=0.1',col=1,siz=siz
legend,xx,dx,10^(yy+dy*2),3,'Smag 128!u3!n, !8C!6!dM!n=0.2',col=1,siz=siz
legend,xx,dx,10^(yy+dy*3),2,'Smag 128!u3!n, !8C!6!dM!n=0.3',col=1,siz=siz
;
xyouts,1.4,6e-4,'!8E!6!dM!n',col=1,siz=siz
xyouts,1.6,5e-3,'!8E!6!dK!n',col=1,siz=siz
;
!p.multi=[0,1,1]
!x.title=''
!y.title=''
;
END
