if !d.name eq 'PS' then begin
  device,xsize=14,ysize=10,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
if !d.name eq 'X' then begin
  window,0,xsize=640*9/10,ysize=480*9/10
end
;
; mv idl.ps ../fig/hydro.ps
;


restore,file='$PENCIL_HOME/nils/hydro/hyper/512b/spec_aver.sav'
k512=k & speu512=speu & eps512=0.000271407
goodk=where(speu512*k512^6. eq max(speu512*k512^6.))
kd512=k512(goodk)*4.

restore,file='$PENCIL_HOME/nils/hydro/hyper/256b/spec_aver.sav'
k256=k & speu256=speu & eps256=0.000261140
goodk=where(speu256*k256^6. eq max(speu256*k256^6.))
kd256=k256(goodk)*4.

restore,file='$PENCIL_HOME/nils/hydro/hyper/128b/spec_aver.sav'
k128=k & speu128=speu & eps128=0.000315481
goodk=where(speu128*k128^6. eq max(speu128*k128^6.))
kd128=k128(goodk)*4.

restore,file='$PENCIL_HOME/nils/hydro/hyper/64b/spec_aver.sav'
k64=k & speu64=speu & eps64=0.000262432
goodk=where(speu64*k64^6. eq max(speu64*k64^6.))
kd64=k64(goodk)*4.

!p.charsize=1.4
siz=1.4
pow=1.67
amplfac=1.

plot_oo,k512/kd512(0),speu512*k512^(pow)*eps512^(-2./3),$
        xr=[2e-3,0.4],yr=[1e-1,3e0], $
        background=255,col=1,ytitle='!8E!6(!8k!6)!8k!u!65/3!n!4e!6!u-2/3!n',$
        xtitle='!8k/k!dd!6',li=0
oplot,k256/kd256(0),speu256*k256^(pow)*eps256^(-2./3),li=2,col=1
oplot,k128/kd128(0),speu128*k128^(pow)*eps128^(-2./3),li=3,col=1
oplot,k64/kd64(0),speu64*k64^(pow)*eps64^(-2./3),li=4,col=1
;
;
;
oplot,k512(2:20)/kd512(0),(k512(2:20)/kd512(0))^(-0.1)*1.1,li=1,col=1
xyouts,0.01,2,'!8k!6!u-0.1!n',col=1,siz=siz
;
; Legends
;
xx=4e-3 & dx=4e-3
yy=-0.35 & dy=-0.15
legend,xx,dx,10^(yy+dy*0.),0,'512!u3!n',col=1,siz=siz
legend,xx,dx,10^(yy+dy*1.),2,'256!u3!n',col=1,siz=siz
legend,xx,dx,10^(yy+dy*2.),3,'128!u3!n',col=1,siz=siz
legend,xx,dx,10^(yy+dy*3.),4,'64!u3!n',col=1,siz=siz


END
