if !d.name eq 'PS' then begin
  device,xsize=14,ysize=10,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
  siz=1.4
  col_smag=0 & li_smag=2
end
if !d.name eq 'X' then begin
  window,0,xsize=640*12/10,ysize=480*12/10
  !p.charthick=2 & !p.thick=2 & !x.thick=2 & !y.thick=2
  !p.thick=3
  siz=2.6
  col_smag=122 & li_smag=0
end
;
; mv idl.ps ../fig/hyper_smag_compensated.ps
; mv hyper_smag_compensated.png ~/MyPictures/PencilCode/
;
; Restore saved data
;
restore,file='$PENCIL_HOME/nils/forced/nohel512_hyperb/spec_aver.sav'
k512=k & speu512b=speu & speb512b=speb
epsK512=1.1e-4 & epsM512=1.7e-4
eps512=epsK512+epsM512
kd512=700
urms2_512=2*total(speu)
brms2_512=2*total(speb)
;
restore,file='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/hypermag512a/spec_aver.sav'
k512s=k & speu512s=speu & speb512s=speb
epsK512s=5.8e-5 & epsM512s=8.9e-5
eps512s=epsK512s+epsM512s
eps512s=eps512s*1.6
kd512s=700
urms2_512s=2*total(speu)
brms2_512s=2*total(speb)
;
!p.charsize=siz
!y.title='!8E!6(!8k!6) !8k!3!u5/3!n!4e!6!d!3T!u-2/3!n'
!x.title='!8k!6/!8k!6!dd,eff!n!3'
!p.title='!3'
s=1.67
;
; Plot spectra
;
plot_oo,k512/kd512,speu512b*k512^(5./3)*eps512^(-2./3),$
  xr=[1.5e-3,0.5],yr=[1e-2,5],background=255,col=1
;
oplot,k512/kd512,speb512b*k512^(5./3)*eps512^(-2./3),li=0,col=1
oplot,k512s/kd512s,speu512s*k512s^(5./3)*eps512s^(-2./3),li=li_smag,col=col_smag
oplot,k512s/kd512s,speb512s*k512s^(5./3)*eps512s^(-2./3),li=li_smag,col=col_smag
;
; Legends
;
xx=0.007 & dx=0.01
yy=-1.2 & dy=-0.3
legend,xx,dx,10^(yy+dy*0.),0,'Hyperdiffusion',col=1,siz=siz
legend,xx,dx,10^(yy+dy*1.),li_smag,'Smagorinsky',col=col_smag,siz=siz
;
xyouts,0.05,2.,'!8E!d!6M!n',col=1
xyouts,0.03,0.25,'!8E!d!6K!n',col=1
;
!y.title=''
!x.title=''
;
print,'import hyper_smag_compensated.png'
;
END
