if !d.name eq 'PS' then begin
  device,xsize=14,ysize=10,yoffset=11
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
  !p.charsize=1.4
  siz=1.1
  col_smag=0 & li_smag=2
  col_hyp=0 & li_hyp=3
  col_tsuji=122
end
if !d.name eq 'X' then begin
  ;window,0,xsize=640*15/10,ysize=480*15/10
  window,0,xsize=840,ysize=540
  !p.charthick=2 & !p.thick=2 & !x.thick=2 & !y.thick=2
  !p.charsize=3.0
  siz=2.5
  col_smag=122 & li_smag=0
  col_hyp=55 & li_hyp=0
  col_tsuji=122
end
; For this to work you must run prepare_hyper in
; nils/hydro/hyper/512b.
; In addition you should run prepare in runs/forced/hydro2_1024a,
; and spectr in nils/isoforce/LES/Smagorinsky/hydro/512b
;
; mv idl.ps ../fig/kan_tsuji_smag.ps
; mv idl.ps ../fig/kan_hyp_smag.ps
; mv idl.ps ../../diffrot_freiburg/fig/kan_hyp_smag.ps
; mv kan_hyp_smag.png ~/MyPictures/PencilCode/
;
; Read in data for hyper run
;
lcvs=0
if lcvs then begin
  dir1='$PENCIL_HOME/nils/hydro/hyper/512b/'
  dir2='$PENCIL_HOME/nils/hydro/hyper/idl/'
  dir3='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/hydro/512b/'
endif else begin
  dir1='../512b/'
  dir2='../run_idl/'
  dir3='../Smagorinsky_hydro_512b/'
endelse
;
restore,file=dir1+'spec_aver.sav'
k512=k & speu512=speu
k512=k(1:max(k)-1) & speu512=speu(1:max(k)-1)
eps512=0.000271407/1.7
nu512=5e-13
;
; Read in data for Kaneda run
;
a=rtable(dir2+'kaneda.dat',2,head=1)
k_kan=reform(a(0,*))
E_kan=reform(a(1,*))
;
; Read in data for Smagorinsky run
;
restore,file=dir3+'spectr.sav'
k512s=k & speu512s=speu
k512s=k(1:max(k)-1) & speu512s=speu(1:max(k)-1)
eps512s=0.000271407/1.7 ; I does not know what this value really is, epsK_LES should be set in print.in
kd512s=410
;
; Effective wave number (due to discretisation errors)
;
k1=k512(1:*)
kNy=max(k1)
keff6=(20.-30*cos(k1*!pi/kNy)+12*cos(2*k1*!pi/kNy)-2.*cos(3*k1*!pi/kNy))/!pi^6*kNy^6.
;
; Find Kolmogorov wavenumber for hyper run
;
goodk=where(speu512*keff6 eq max(speu512*keff6))
kd512=k512(goodk)*4.
print,'kd512=',kd512
;
; Set some variables
;
pow=1.67
mulE=1.1
mulEs=0.95
;
; Plot results
;
;xr=[1e-4,5e-1]
xr=[1e-3,5e-1]
plot_oo,k512/kd512(0),speu512*k512^(pow)*eps512^(-2./3)*mulE, $
  xr=xr,yr=[2e-1,4e0], $
  background=255,col=1,ytitle='!8E!6(!8k!6)!8k!u!65/3!n!4e!u!6-2/3!n!6',$
  xtitle='!8k/k!d!6d,eff!n!6',li=3,/nodata
;comment out to suppress hyper data
oplot,k512/kd512(0),speu512*k512^(pow)*eps512^(-2./3)*mulE,col=col_hyp,li=li_hyp
oplot,k_kan,E_kan,li=0,col=1
oplot,k512s/kd512s(0),speu512s*k512s^(pow)*eps512s^(-2./3)*mulEs,col=col_smag,li=li_smag
goodkk=where((k512/kd512(0) gt 5e-3) and (k512/kd512(0) lt 3e-2))
oplot,k512(goodkk)/kd512(0),(k512(goodkk)/kd512(0))^(-0.1)*1.5,col=1,li=1
;
; Legends
;
xx=3e-4 & dx=8e-4 ;(with Tsuji et al data)
xx=3e-3 & dx=8e-4
yy=-0.30 & dy=-0.12
legend,xx,dx,10^(yy+dy*(0.)),0,'4096!u3!n (Kaneda et al. 2003)',col=1,siz=siz
legend,xx,dx,10^(yy+dy*1.),li_hyp,'hyperviscosity, 512!u3!n (x1.1)',col=col_hyp,siz=siz
;legend,xx,dx,10^(yy+dy*1.),li_hyp,'Tsuji data (!8k!6: x1.2, !8E!6: x1.6)',col=col_tsuji,siz=siz
legend,xx,dx,10^(yy+dy*2.),li_smag,'Smagorinsky, 512!u3!n (x0.95)',col=col_smag,siz=siz
;legend,xx,dx,10^(yy+dy*3.),1,'!8k!6!u-0.1!n',col=1,siz=siz
xyouts,0.013,2.4,'!8k!6!u-0.1!n',col=1,siz=siz
;
;  overplot Tsuji et al data (currently outcommented)
;
;xfac=1.2
;yfac=1.6
;dir='../../../hydro/tsuji/'
;a=rtable(dir+'aski.dat',2)
;k=a(0,*)
;Ecomp=a(1,*)
;comp=k^1.66667
;E=Ecomp/comp
;E3D=-k*deriv(k,E)
;oplot,xfac*k,yfac*E3D*comp,col=122
;
print,'import kan_hyp_smag.png'
END
