if !d.name eq 'PS' then begin
  device,xsize=14,ysize=10,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
if !d.name eq 'X' then begin
  window,0,xsize=640*9/10,ysize=480*9/10
end
;
; mv idl.ps ../fig/smag_comp.ps
;
; Read in LES runs
;
restore,file='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/hypermag512a/spec_aver.sav'
k512s=k & speu512s=speu & speb512s=speb
epsK512s=5.8e-5 & epsM512s=8.9e-5
eps512s=epsK512s+epsM512s
eps512s=eps512s*0.9
kd512s=700
;
restore,file='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/hypermag256a/spec_aver.sav'
k256s=k & speu256s=speu & speb256s=speb
epsK256s=5.8e-5 & epsM256s=8.9e-5
eps256s=epsK256s+epsM256s
eps256s=eps256s*0.9
kd256s=330
;
restore,file='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/hypermag128a/spec_aver.sav'
k128s=k & speu128s=speu & speb128s=speb
epsK128s=5.8e-5 & epsM128s=8.9e-5
eps128s=epsK128s+epsM128s
eps128s=eps128s
kd128s=180
;
; Plot results
;
!p.charsize=1.4
siz=1.4
pow=1.67

plot_oo,k128s/kd128s,speu128s*k128s^(pow)*eps128s^(-2./3),$
  xr=[2e-3,5e-1],yr=[1e-2,3e0], $
  background=255,col=1,ytitle='!8E!6(!8k!6) !8k!6!u5/3!n!4e!6!dT!u-2/3!n',$
  xtitle='!8k!6/!8k!6!dd,eff!n',li=0
oplot,k256s/kd256s,speu256s*k256s^(pow)*eps256s^(-2./3),li=0,col=1
oplot,k512s/kd512s,speu512s*k512s^(pow)*eps512s^(-2./3),li=0,col=1
;
oplot,k128s/kd128s,speb128s*k128s^(pow)*eps128s^(-2./3),li=2,col=1
oplot,k256s/kd256s,speb256s*k256s^(pow)*eps256s^(-2./3),li=2,col=1
oplot,k512s/kd512s,speb512s*k512s^(pow)*eps512s^(-2./3),li=2,col=1
;
; Legends
;
xx=3e-2 & dx=2.e-2
yy=-0.95 & dy=-0.25
legend,xx,dx,10^(yy+dy*0.),0,'Kinetic',col=1,siz=siz
legend,xx,dx,10^(yy+dy*1.),2,'Magnetic',col=1,siz=siz

END
