if !d.name eq 'PS' then begin
  device,xsize=14,ysize=10,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
if !d.name eq 'X' then begin
  window,0,xsize=640*9/10,ysize=480*9/10
end
col256=0
col512=0
;
; mv idl.ps ../fig/smag_comp.ps
;
; Read in LES runs
;
restore,file='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/hypermag512a/spec_aver.sav'
k512s=k & speu512s=speu & speb512s=speb
epsK512s=5.8e-5 & epsM512s=8.9e-5
eps512s=epsK512s+epsM512s
eps512s=eps512s*0.9
kd512s=580 ; 125*5
;
restore,file='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/hypermag256a/spec_aver.sav'
k256s=k & speu256s=speu & speb256s=speb
epsK256s=5.8e-5 & epsM256s=8.9e-5
eps256s=epsK256s+epsM256s
eps256s=eps256s*0.9
kd256s=280 ; 60*5
;
restore,file='$PENCIL_HOME/nils/isoforce/LES/Smagorinsky/magnetic/hypermag128a/spec_aver.sav'
k128s=k & speu128s=speu & speb128s=speb
epsK128s=5.8e-5 & epsM128s=8.9e-5
eps128s=epsK128s+epsM128s
eps128s=eps128s
kd128s=150 ; 30*5
;
; Plot results
;
!p.charsize=1.4
siz=1.4
pow=1.00
fac512=1.00
fac256=1.08
fac128=1.16
half='!s!u 1!n!r!s-!r!d 2!n'
;
plot_oo,k128s,speb128s*k128s^(pow)/total(speu512s)*fac128,xr=[1,256],yr=[8e-3,3e-1], $
  background=255,col=1,ytitle='!8kE!6(!8k!6) / '+half+'<!8u!u2!n!6>',$
  xtitle='!8k/k!6!d1!n',li=0
oplot,k256s,speb256s*k256s^(pow)/total(speu512s)*fac256,col=col256
oplot,k512s,speb512s*k512s^(pow)/total(speu512s)*fac512,col=col512
;
; Legends
;
xx=3e-2 & dx=2.e-2
yy=-0.95 & dy=-0.25
legend,xx,dx,10^(yy+dy*0.),0,'Kinetic',col=1,siz=siz
legend,xx,dx,10^(yy+dy*1.),2,'Magnetic',col=1,siz=siz

END
