; This routine plot energy spectra for several runs with hyperviscosity
; and one run without hyper viscosity.
; For this to work you must run prepare_hyper in the following
; directories:
;  ../512a, ../256a, ../128a and ../64a. 
; In addition you should run prepare in runs/forced/hydro2_1024a.
;
restore,file='../512a/spec_aver.sav'
k512=k & speu512=speu

restore,file='../256b/spec_aver.sav'
k256=k & speu256=speu

restore,file='../128a/spec_aver.sav'
k128=k & speu128=speu

restore,file='../64a/spec_aver.sav'
k64=k & speu64=speu

restore,file='$PENCIL_HOME/runs/forced/hydro2_1024a/spec_aver.sav'
k1024=k & speu1024=speu

a=rtable('kaneda.dat',2,head=1)
k_kan=reform(a(0,*))
E_kan=reform(a(1,*))
plot,k_kan,E_kan*1e-1
kkan=k_kan/5e-4
Ekan=E_kan*k_kan^(-5./3.)*1e-8

klin=k(3:15)
pow=1.67
!p.charsize=1.8

plot_oo,k512,speu512*k512^(pow),xr=[1,256],yr=[1e-5,3e-2], $
        background=255,col=1,ytitle='!8E!6(!8k!6)!8k!u!85/3!n!6',$
        xtitle='!8k!6'
oplot,k256*1.7,speu256*k256^(pow)*1.2,li=2,col=122
oplot,k128*3.5,speu128*k128^(pow),li=3,col=47
oplot,kkan*2e-1,Ekan*kkan^(pow)*2e-1,li=0,col=47,thick=3
;
oplot,k64*4.,speu64*k64^(pow)*2e-1,li=4,col=150
oplot,k1024*1.8,speu1024*k1024^(pow)*1e-1,li=4,col=100
;
oplot,klin,klin^(-0.1)*4e-3,li=1,col=1
;
; Legends
;
xx=2. & dx=2.
yy=-3.6 & dy=-0.25
legend,xx,dx,10^(yy+dy*(-1.)),0,'kaneda_4096',col=47,thick=3.
legend,xx,dx,10^(yy+dy*0.),0,'512a',col=1
legend,xx,dx,10^(yy+dy*1.),2,'256a',col=122
legend,xx,dx,10^(yy+dy*2.),3,'128a',col=47
legend,xx,dx,10^(yy+dy*3.),4,'64a (times 2e-1)',col=150
legend,xx,dx,10^(yy+dy*4.),4,'hydro2_1024a (times 1e-1)',col=100
legend,xx,dx,10^(yy+dy*5.),1,'!8k!6!u-0.1!n',col=1

END
