; $Id: pdecay_comp.pro,v 1.4 2004/05/15 02:12:50 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=14,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  comparing decay laws for different runs
;  mv idl.ps ~/tex/hydro/hyper/fig/pdecay_comp.ps
;
!x.title='!8t!6 !8u!d!60!n !8k!6!d1!n'
!y.title='!6<!8u!6!u2!n> / !8u!6!d0!n!u2!n'
!p.charsize=1.8
urms0=.130 ;(reference velocity for 512 case, and k1=1)
urms1=.138 ;(reference velocity for 256 case, and k1=1)
;
;  Nils, is there a reason that their x/M is equal to our t*urms*k1?
;  I guess the y_kang values don't come from their table 1?
;  Can you explain where the numbers come from?
;
x_kang=[20.,30.,40.,48.]
y_kang=[0.0425,0.026,0.0175,0.0145]*2.
;
pc_read_ts,file='../decay512b/data/time_series.dat',o=o
plot_oo,(o.t-o.t(0))*urms0,o.urms^2/urms0^2,xr=[1,100],yr=[.01,1],li=2
print,'urms0=',o.urms(0)
;
pc_read_ts,file='../decay256b/data/time_series.dat',o=o
oplot,(o.t-o.t(0))*urms1,o.urms^2/urms1^2
print,'urms0=',o.urms(0)
;
!psym=0 & circ_sym,1.5,1
oplot,x_kang,y_kang,ps=8
;
k1=1.
tau0=24. & nu0=5e-13 & kNy0=512d0/2.
tau1=20. & nu1=2e-11 & kNy1=256d0/2.
siz=2.
xx=[8,700] & oplot,xx*urms0,1./(xx/tau0)^1.25,li=4
xx=[8,700] & oplot,xx*urms1,1./(xx/tau1)^1.25,li=1
xyouts,13,.22,'!6(!8t!6/!7s!6)!u-1.25!n',siz=siz
print,'tau*u0=',tau0*urms0,tau1*urms1
print,'u0/(nu3*k1^5)=',urms0/(nu0*kNy0^5),urms1/(nu1*kNy1^5)
;
xx=14*urms0 & dx=xx
legend,xx,dx,10^(-3.0)/urms0^2,0,'!6256!u3!n',siz=siz
legend,xx,dx,10^(-3.2)/urms0^2,2,'!6512!u3!n',siz=siz
END
